## dataurisrc dataurisrc |

## Properties

gchar * | uri | Read / Write

## Types and Values

struct | GstDataURISrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstDataURISrc

## Implemented Interfaces

GstDataURISrc implements GstURIHandler.

## Description

dataurisrc handles data: URIs, see RFC 2397 for more information.

#### Example launch line

    1
    gst-launch-1.0 -v dataurisrc uri="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAfElEQVQ4je2MwQnAIAxFgziA4EnczIsO4MEROo/gzZWc4xdTbe1R6LGRR74heYS7iKElzfcMiRnt4hf8gk8EayB6luefue/HzlJfCA50XsNjYRxprZmenXNIKSGEsC+QUqK1hhgj521BzhnWWiilUGvdF5RS4L2HMQZCCJy8sHMm2TYdJAAAAABJRU5ErkJggg==" ! pngdec ! videoconvert ! imagefreeze ! videoconvert ! autovideosink

This pipeline displays a small 16x16 PNG image from the data URI.

## Synopsis

### Element Information

plugin | coreelements
author | Philippe Normand <pnormand@igalia.com>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Source

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstDataURISrc

    struct GstDataURISrc;

## Property Details

### The `“uri”` property

      “uri”                      gchar *

URI that should be used.

Flags: Read / Write

Default value: NULL